# ConnectionException (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection
Class ConnectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  net.schmizz.sshj.common.SSHException
                      net.schmizz.sshj.connection.ConnectionException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OpenFailException

    public class ConnectionException

extends SSHException

Connection-layer exception.

See Also:
  Serialized Form

Field Summary
`static ExceptionChainer<ConnectionException>` `chainer`

Constructor Summary
`ConnectionException(DisconnectReason code)`
`ConnectionException(DisconnectReason code, String message)`
`ConnectionException(DisconnectReason code, String message, Throwable cause)`
`ConnectionException(DisconnectReason code, Throwable cause)`
`ConnectionException(String message)`
`ConnectionException(String message, Throwable cause)`
`ConnectionException(Throwable cause)`

Method Summary

Methods inherited from class net.schmizz.sshj.common.SSHException
`getDisconnectReason, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### chainer

    public static final ExceptionChainer<ConnectionException> chainer

Constructor Detail

### ConnectionException

    public ConnectionException(DisconnectReason code)

### ConnectionException

    public ConnectionException(DisconnectReason code,
                               String message)

### ConnectionException

    public ConnectionException(DisconnectReason code,
                               String message,
                               Throwable cause)

### ConnectionException

    public ConnectionException(DisconnectReason code,
                               Throwable cause)

### ConnectionException

    public ConnectionException(String message)

### ConnectionException

    public ConnectionException(String message,
                               Throwable cause)

### ConnectionException

    public ConnectionException(Throwable cause)

Copyright © 2009-2011. All Rights Reserved.